clear all
clc

number_of_retries = 1; % set to -1 for infinite
port=2057; % This code use for communication "port" and "port+1"
host='localhost';   
samplingrate=1000; %in ms
z = 1;
inc = 0;
mode = 1;
modePos = 0;
modeNeg = 0;
defaultPos = 0;
defaultNeg = 0;
current = [450 0 25 -90 -90 -90 0];
grip = 0;

for data = 1:length(classes)
    comm = classes(data);
    if comm == 1
        defaultPos = 1;
    elseif comm == 2
        if mode < 3
            mode = mode + 1;
        else
            mode = 1;
        end
    elseif comm == 3
        defaultNeg = 1;
    elseif comm == 4
        modePos = 1;
    elseif comm == 5
        modeNeg = 1;
    elseif comm == 6
        defaultPos = 0;
        defaultNeg = 0;
        modePos = 0;
        modeNeg = 0;
    end
    
    if mode == 1 
        if modePos == 1
            action = [0 20 0 0 0 0];
        elseif modeNeg == 1
            action = [0 -20 0 0 0 0];
        end
    elseif mode == 2
        if modePos == 1
            action = [0 0 20 0 0 0];
        elseif modeNeg == 1
            action = [0 0 -20 0 0 0];
        end
    elseif mode == 3
        if modePos == 1
            grip = 1;
        elseif modeNeg == 1
            grip = 0;
        end
    end
    
    if defaultPos == 1
        action = [20 0 0 0 0 0];
    elseif defaultNeg == 1
        action = [-20 0 0 0 0 0];
    end
    
    if defaultPos == 0 && defaultNeg == 0 && modePos == 0 && modeNeg == 0
        action = [0 0 0 0 0 0];
    end
    
    values_to_send = [current(1:6)+action grip];
    data_to_send = '' ;
    for i=1:length(values_to_send)
        data_to_send = [data_to_send,num2str(values_to_send(i),'%15.6f')];
        if ( i ~= length(values_to_send) )
            data_to_send = [data_to_send,','] ;
        end
    end
    data_to_send;
    data_received=exchangeData(port,host,number_of_retries,samplingrate,data_to_send);
    current = values_to_send;
    
    if current(1) > 550
        current(1) = 550;
    elseif current(1) < 350
        current(1) = 350;
    end
    
    if current(2) > 200
        current(2) = 200;
    elseif current(2) < -200
        current(2) = -200;
    end
    
    if current(3) > 200
        current(3) = 200;
    elseif current(3) < -150
        current(3) = -150;
    end
    
    comm_mat = [defaultPos mode defaultNeg modePos modeNeg]
    defaultPos = 0; defaultNeg = 0; modePos = 0; modeNeg = 0;
end